%{?nodejs_find_provides_and_requires}

%global packagename package-license
%global enable_tests 1

Name:		nodejs-package-license
Version:	0.4.1
Release:	1%{?dist}
Summary:	Checks the filesystem for potential license files

License:	ASL 2.0
URL:		https://github.com/AceMetrix/package-license
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(underscore)

%if 0%{?enable_tests}
# nothing
%endif

%description
Checks the filesystem for potential license files and attempts to detect what
they are


%prep
%autosetup -n package


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/echo -e "\e[102m -=#=- This package has no tests -=#=- \e[0m"
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Jul 28 2016 Jared Smith <jsmith@fedoraproject.org> - 0.4.1-1
- Initial packaging
